System 2.0.0.0 4.0.0.0 System.Enum

The enumeration provides named values for specifying socket operational modes. These values are the control codes passed to the Windows Sockets 2 (Winsock 2) WSAIoctl function.

Specifies the IO control codes supported by the method.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  This value is equal to the Winsock 2 SIO_ABSORB_RTRALERT constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Join a multicast group using an interface identified by its index. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_INDEX_ADD_MCAST constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Enable receiving notification when the list of local interfaces for the socket's protocol family changes. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_ADDRESS_LIST_CHANGE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return the list of local interfaces that the socket can bind to. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_ADDRESS_LIST_QUERY constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Sort the structure returned by the field and add scope ID information for IPv6 addresses. This control code is supported on Windows XP and later operating systems. This value is equal to the Winsock 2 SIO_ADDRESS_LIST_SORT constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Associate this socket with the specified handle of a companion interface. Refer to the appropriate protocol-specific annex in the Winsock 2 reference or documentation for the particular companion interface for additional details. It is recommended that the Component Object Model (COM) be used instead of this IOCTL to discover and track other interfaces that might be supported by a socket. This control code is present for backward compatibility with systems where COM is not available or cannot be used for some other reason. This value is equal to the Winsock 2 SIO_ASSOCIATE_HANDLE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Enable notification for when data is waiting to be received. This value is equal to the Winsock 2 FIOASYNC constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Bind the socket to a specified interface index. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_INDEX_BIND constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return the number of bytes available for reading. This value is equal to the Winsock 2 FIONREAD constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Remove the socket from a multicast group. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_INDEX_ADD_MCAST constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Replace the oldest queued datagram with an incoming datagram when the incoming message queues are full. This value is equal to the Winsock 2 SIO_ENABLE_CIRCULAR_QUEUEING constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Discard the contents of the sending queue. This value is equal to the Winsock 2 SIO_FLUSH constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return a SOCKADDR structure that contains the broadcast address for the address family of the current socket. The returned address can be used with the method. This value is equal to the Winsock 2 SIO_GET_BROADCAST_ADDRESS constant. This value can be used on User Datagram Protocol (UDP) sockets only.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Obtain provider-specific functions that are not part of the Winsock specification. Functions are specified using their provider-assigned GUID. This value is equal to the Winsock 2 SIO_GET_EXTENSION_FUNCTION_POINTER constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return the Quality of Service (QOS) attributes for the socket group. This value is reserved for future use, and is equal to the Winsock 2 SIO_GET_GROUP_QOS constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Retrieve the QOS structure associated with the socket. This control is only supported on platforms that provide a QOS capable transport (Windows Me, Windows 2000, and later.) This value is equal to the Winsock 2 SIO_GET_QOS constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Control sending TCP keep-alive packets and the interval at which they are sent. This control code is supported on Windows 2000 and later operating systems. For additional information, see RFC 1122 section 4.2.3.6. This value is equal to the Winsock 2 SIO_KEEPALIVE_VALS constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  This value is equal to the Winsock 2 SIO_LIMIT_BROADCASTS constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Set the interface used for outgoing multicast packets. The interface is identified by its index. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_INDEX_MCASTIF constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Control the number of times a multicast packet can be forwarded by a router, also known as the Time to Live (TTL), or hop count. This value is equal to the Winsock 2 SIO_MULTICAST_SCOPE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Control whether multicast data sent by the socket appears as incoming data in the sockets receive queue. This value is equal to the Winsock 2 SIO_MULTIPOINT_LOOPBACK constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Control whether the socket receives notification when a namespace query becomes invalid. This control code is supported on Windows XP and later operating systems. This value is equal to the Winsock 2 SIO_NSP_NOTIFY_CHANGE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Control the blocking behavior of the socket. If the argument specified with this control code is zero, the socket is placed in blocking mode. If the argument is nonzero, the socket is placed in nonblocking mode. This value is equal to the Winsock 2 FIONBIO constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return information about out-of-band data waiting to be received. When using this control code on stream sockets, the return value indicates the number of bytes available.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Retrieve the underlying provider's SOCKET handle. This handle can be used to receive plug-and-play event notification. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_QUERY_TARGET_PNP_HANDLE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Enable receiving all IPv4 packets on the network. The socket must have address family , the socket type must be , and the protocol type must be . The current user must belong to the Administrators group on the local computer, and the socket must be bound to a specific port. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_RCVALL constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Enable receiving all Internet Group Management Protocol (IGMP) packets on the network. The socket must have address family , the socket type must be , and the protocol type must be . The current user must belong to the Administrators group on the local computer, and the socket must be bound to a specific port. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_RCVALL_IGMPMCAST constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Enable receiving all multicast IPv4 packets on the network. These are packets with destination addresses in the range 224.0.0.0 through 239.255.255.255. The socket must have address family , the socket type must be , and the protocol type must be . The current user must belong to the Administrators group on the local computer, and the socket must be bound to a specific port. This control code is supported on Windows 2000 and later operating systems. This value is equal to the Winsock 2 SIO_RCVALL_MCAST constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Enable receiving notification when the local interface used to access a remote endpoint changes. This value is equal to the Winsock 2 SIO_ROUTING_INTERFACE_CHANGE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return the interface addresses that can be used to connect to the specified remote address. This value is equal to the Winsock 2 SIO_ROUTING_INTERFACE_QUERY constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Set the Quality of Service (QOS) attributes for the socket group. This value is reserved for future use and is equal to the Winsock 2 SIO_SET_GROUP_QOS constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Set the Quality of Service (QOS) attributes for the socket. QOS defines the bandwidth requirements for the socket. This control code is supported on Windows Me, Windows 2000, and later operating systems. This value is equal to the Winsock 2 SIO_SET_QOS constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Return a handle for the socket that is valid in the context of a companion interface. This value is equal to the Winsock 2 SIO_TRANSLATE_HANDLE constant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.IOControlCode

  Set the interface used for outgoing unicast packets. This value is equal to the Winsock 2 SIO_UCAST_IF constant.